Package org.eclipse.net4j.util.security.operations

# Class AuthorizableOperationImpl

java.lang.Object
org.eclipse.net4j.util.security.operations.AuthorizableOperationImpl

@Deprecated public final class AuthorizableOperationImpl extends Object
Deprecated.
As of 4.16 use `AuthorizableOperation`. It was an accident that this class hasn't been deleted before the release.

Since:
  3.16
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`AuthorizableOperationImpl(String id)`
Deprecated.
`AuthorizableOperationImpl(ExtendedDataInput in)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Deprecated.
`final String`
`getID()`
Deprecated.
`Object`
`getParameter(String key)`
Deprecated.
`Map<String,Object>`
`getParameters()`
Deprecated.
`int`
`hashCode()`
Deprecated.
`AuthorizableOperationImpl`
`parameter(String key, Object value)`
Deprecated.
`String`
`toString()`
Deprecated.
`void`
`write(ExtendedDataOutput out)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorizableOperationImpl

@Deprecated public AuthorizableOperationImpl(String id)
Deprecated.

### AuthorizableOperationImpl

@Deprecated public AuthorizableOperationImpl(ExtendedDataInput in) throws IOException
Deprecated.

Throws:
  `IOException`

## Method Details

### getID

@Deprecated public final String getID()
Deprecated.

### parameter

@Deprecated public AuthorizableOperationImpl parameter(String key, Object value)
Deprecated.

### getParameter

@Deprecated public Object getParameter(String key)
Deprecated.

### getParameters

@Deprecated public Map<String,Object> getParameters()
Deprecated.

### write

@Deprecated public void write(ExtendedDataOutput out) throws IOException
Deprecated.

Throws:
  `IOException`

### hashCode

@Deprecated public int hashCode()
Deprecated.

Overrides:
  `hashCode` in class `Object`

### equals

@Deprecated public boolean equals(Object obj)
Deprecated.

Overrides:
  `equals` in class `Object`

### toString

@Deprecated public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`